<!-- postactions.inc -->
<div class="postactions">
	<!-- mark read/unread -->
	<xsl:if test="$NWSP-ICON-MARKREAD$!=0">
		<a class="icon" href="fdaction:?action=toggleread&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintToggleRead)$">
			<xsl:choose>
				<xsl:when test="state/@read=1">
					<img id="{$postId}_img_read" src="$IMAGEDIR$read.gif" class="icon" align="absmiddle" />
				</xsl:when>
				<xsl:otherwise>
					<img id="{$postId}_img_read" src="$IMAGEDIR$unread.gif" class="icon" align="absmiddle" />
				</xsl:otherwise>
			</xsl:choose>
		</a>
	</xsl:if>
	
	<!-- toggle flag -->
	<xsl:if test="$NWSP-ICON-FLAG$!=0">
		<a class="icon" href="fdaction:?action=toggleflag&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintToggleFlag)$">
			<xsl:choose>
				<xsl:when test="state/@flagged!=0">
					<img id="{$postId}_img_flag" src="$IMAGEDIR$star-on.png" class="icon" align="absmiddle" />
				</xsl:when>
				<xsl:otherwise>
					<img id="{$postId}_img_flag" src="$IMAGEDIR$star-off.png" class="icon" align="absmiddle" />
				</xsl:otherwise>
			</xsl:choose>
		</a>
	</xsl:if>
	
	<!-- delete post -->
	<xsl:if test="$NWSP-ICON-DELETE$!=0 or $feed-type='newsbin'">
		<a class="icon" href="fdaction:?action=deletePost&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintDeletePost)$">
			<img id="{$postId}_img_delete" src="$IMAGEDIR$deletepost.gif" class="icon" align="absmiddle" />
		</a>
	</xsl:if>
	
	<!-- email post -->
	<xsl:if test="$NWSP-ICON-EMAIL$!=0">
		<a class="icon" href="fdaction:?action=emailpost&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintEmail)$">
			<img src="$IMAGEDIR$email.png" class="icon" align="absmiddle" />
		</a>
	</xsl:if>
	
	<!-- GeoRSS -->
	<xsl:if test="point and ($NWSP-ICON-GEORSS$!=0)">
		<a class="icon" href="fdaction:?action=mapthis&amp;type=point&amp;data={point}" title="$LANG_CONST(S_NewsHintMapThis)$">
			<img src="$IMAGEDIR$geotag.gif" class="icon" align="absmiddle" />
		</a>	
	</xsl:if>
	
	<!-- add to clippings -->
	<xsl:if test="$NWSP-ICON-CLIP$!=0">
		<a class="icon" href="fdaction:?action=addtonewsbin&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintAddToNewsBin)$">
			<img src="$IMAGEDIR$newsbin.gif" class="icon" align="absmiddle" />
		</a>
	</xsl:if>
		
	<!-- share -->
	<xsl:if test="$NWSP-ICON-SHARE$!=0 and $feed-type!='newsbin'">
		<span class="sep">|</span>
		<a class="share icon" href="fdaction:?action=sharepost&amp;feedid={$feedId}&amp;postid={$postId}&amp;addnote=0" title="$LANG_CONST(S_NewsHintShare)$">
			<img id="{$postId}_shareicon" src="$IMAGEDIR$share.png" class="icon" align="absmiddle" /> $LANG_CONST(S_Share)$
		</a>
		<!-- share with note (annotate) -->
		<xsl:if test="$NWSP-ICON-ANNOTATE$!=0">
			<a class="icon" href="fdaction:?action=sharepost&amp;feedid={$feedId}&amp;postid={$postId}&amp;addnote=1" title="$LANG_CONST(S_NewsHintShareAnnotate)$">
				<img src="$IMAGEDIR$note.gif" class="icon" align="absmiddle" />
			</a>
		</xsl:if>
	</xsl:if>
	
	<!-- add post to del.icio.us-->
	<xsl:if test="$NWSP-ICON-DELICIOUS$!=0">
		<a class="icon" href="fdaction:?action=posttodelicious&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintPostToDelicious)$">
			<img src="$IMAGEDIR$delicious.gif" class="icon" align="absmiddle" />
		</a>
	</xsl:if>
	
	<!-- send to -->
	<xsl:if test="$NWSP-ICON-SENDTO$!=0">
		<a class="icon" href="fdaction:?action=sendto&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintSendTo)$">
			<img src="$IMAGEDIR$sendto.gif" class="icon" align="absmiddle" />
		</a>
	</xsl:if>
	
	<!-- link to actual post -->
	<xsl:if test="$NWSP-ICON-POSTLINK$!=0">
		<a href="{link}" title="$LANG_CONST(S_NewsHintOpenLink)$"><img src="$IMAGEDIR$link.gif" class="icon" align="absmiddle" /></a>
	</xsl:if>
	
	<!-- comment link -->
	<xsl:if test="comments and ($NWSP-ICON-COMMENTS$!=0)">
		<span class="sep">|</span>
		<xsl:if test="comments/@htmlUrl">
			<a class="icon" href="{comments/@htmlUrl}" title="$LANG_CONST(S_NewsHintComments)$">
				<img src="$IMAGEDIR$comments.gif" class="icon" align="absmiddle" />
			</a>
		</xsl:if>
		<!-- comment feed for this post -->
		<xsl:if test="comments/@xmlUrl">
			<xsl:variable name="commentfeed">fdaction:?action=subscribe&amp;url=<xsl:value-of select="comments/@xmlUrl" disable-output-escaping="yes"/></xsl:variable>
			<a href="{$commentfeed}" title="$LANG_CONST(S_NewsHintSubscribeCommentFeed)$">
				<img src="$IMAGEDIR$comment-feed.png" align="absmiddle" class="icon" />
			</a>
		</xsl:if>		
	</xsl:if>
		
	<!-- tags -->
	<xsl:if test="$NWSP-ICON-TAGS$!=0">
		<span class="sep">|</span>
		<a class="icon" href="fdaction:?action=editposttags&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintEditTags)$">
			<img src="$IMAGEDIR$tag.png" class="icon" align="absmiddle" />
		</a>
		<!-- tag menu -->
		<a class="icon" href="fdaction:?action=showtagmenu&amp;feedid={$feedId}&amp;postid={$postId}" title="$LANG_CONST(S_NewsHintTagMenu)$">
			<img src="$IMAGEDIR$tagmenu.gif" class="icon" align="absmiddle" />
		</a>

		<!-- note that the entire taglist HTML is generated by FeedDemon -->
		<span class="taglist" id="{$postId}_taglist">
			<xsl:choose>
				<xsl:when test="taglist">
					<xsl:value-of select="taglist" disable-output-escaping="yes"/>
				</xsl:when>
				<xsl:otherwise>
					<span class="none">$LANG_CONST(S_HdrInfoNoTags)$</span>
				</xsl:otherwise>
			</xsl:choose>
		</span>
	</xsl:if>

	<!-- twitter reply -->
	<xsl:if test="twitterUser">
		<span class="sep">|</span>
		<xsl:variable name="twitrepylink">http://twitter.com/home?status=@<xsl:value-of select="twitterUser"/>%20&amp;in_reply_to_status_id=<xsl:value-of select="twitterStatusId"/></xsl:variable>
		<a class="icon reply" href="{$twitrepylink}" title="$LANG_CONST(S_ReplyOnTwitter)$"><img src="$IMAGEDIR$twitter.png" class="icon" align="absmiddle" />$LANG_CONST(S_Reply)$</a>
	</xsl:if>
</div>






